# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Wed Nov 11 15:09:12 2020
# ------------------------------------------------

package:
    name: piff
    version: 1.0.0
source:
    sha256: a6d8cee61d100b49f21084a312f15e913d8555f176d0d9a208652f2a208ee487
    url: https://github.com/rmjarvis/Piff/archive/v1.0.0.tar.gz
build:
    number: '1'
    script: /home/conda/feedstock_root/build_artifacts/piff_1605107461623/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
        -m pip install . -vv
    string: py38h578d9bd_1
requirements:
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - ca-certificates 2020.11.8 ha878542_0
        - certifi 2020.6.20 py38h924ce5b_2
        - ld_impl_linux-64 2.35 h769bd43_9
        - libffi 3.2.1 he1b5a44_1007
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - ncurses 6.2 h58526e2_3
        - openssl 1.1.1h h516909a_0
        - pip 20.2.4 py_0
        - python 3.8.6 h852b56e_0_cpython
        - python_abi 3.8 1_cp38
        - readline 8.0 he28a2e2_2
        - setuptools 49.6.0 py38h924ce5b_2
        - sqlite 3.33.0 h4cf870e_1
        - tk 8.6.10 hed695b0_1
        - wheel 0.35.1 pyh9f0ad1d_0
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
    run:
        - fitsio >=0.9.12
        - galsim >=2.0
        - lmfit
        - lsstdesc.coord >=1.0.5
        - matplotlib-base >=1.5.0
        - numpy
        - python >=3.8,<3.9.0a0
        - python_abi 3.8.* *_cp38
        - pyyaml
        - scikit-learn >=0.18
        - scipy
        - treecorr >=4.0
        - treegp
test:
    imports:
        - piff
about:
    doc_url: http://rmjarvis.github.io/Piff/html
    home: https://github.com/rmjarvis/Piff
    license: BSD-2-Clause
    license_family: BSD
    license_file: LICENSE
    summary: PSFs In the Full FOV
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - beckermr
        - rmjarvis
